<template>
    <AuthenticatedLayout>
        <Head title="Избранное" />
<!--        <FilterMarket/>-->
        <div class="marketBottom__inner noGrid">
<!--            <div class="marketBottom__top">-->
<!--                <a-->
<!--                    class="header__link"-->
<!--                    href=""-->
<!--                    @click.prevent="openMenuGame = !openMenuGame">-->
<!--                    Игры-->
<!--                    <svg width="10" height="6" viewbox="0 0 10 6" fill="none" xmlns="http://www.w3.org/2000/svg">-->
<!--                        <path d="M1 1L5 5L9 1" stroke="#FF8231" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>-->
<!--                    </svg>-->
<!--                    <div class="marketBottom__market2-menu" :class="{'active': openMenuGame}">-->
<!--                        <Link :href="route('market',game)" v-for="game in $page.props.games.data" class="marketBottom__market2-select js-open-modal" >{{ game.name }}</Link>-->
<!--                    </div>-->
<!--                </a>-->
<!--                <a-->
<!--                    class="header__link"-->
<!--                    href=""-->
<!--                    @click.prevent="openMenuGame = !openMenuGame">-->
<!--                    Категории-->
<!--                    <svg width="10" height="6" viewbox="0 0 10 6" fill="none" xmlns="http://www.w3.org/2000/svg">-->
<!--                        <path d="M1 1L5 5L9 1" stroke="#FF8231" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>-->
<!--                    </svg>-->
<!--                    <div class="marketBottom__market2-menu" :class="{'active': openMenuGame}">-->
<!--                        <Link :href="route('market',game)" v-for="game in $page.props.games.data" class="marketBottom__market2-select js-open-modal" >{{ game.name }}</Link>-->
<!--                    </div>-->
<!--                </a>-->
<!--                <a href="" style="margin-left: auto;" class="marketBottom__clear">Очистить все</a>-->
<!--            </div>-->
            <div class="marketBottom__right marketBottom__innerMarket">
                <item-market
                    v-for="(item, key) of items"
                    :key="key"
                    :item="item.data[0]"
                    :game="item.data[0].game"
                    :name='item.data[0].name'
                    :icon='item.data[0].image'
                    :price='item.data[0].price'
                    :quantity='item.data[0].quantity'
                    :colorFeatures='item.data[0].colorFeatures'
                    :iconFeatures='item.data[0].iconFeatures'
                    :textFeatures='item.data[0].textFeatures'
                    @deleteFavorite="refreshFavorites()"
                />
            </div>
        </div>
    </AuthenticatedLayout>
</template>
<script setup>
import {Head} from "@inertiajs/vue3";
import { ref, onMounted} from 'vue';
import { UseAppStore } from '@/Stores/AppStore';
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import FilterMarket from "@/Components/Items/Market/FilterMarket.vue";
import ItemMarket from "@/Components/Items/Market/ItemMarket.vue";
import axios from 'axios';

let AppStore = UseAppStore();
let items = ref([]);

onMounted(() => {
    getFovarites();
});

const refreshFavorites = () => {
    items.value = [];
    getFovarites();
}

//Получение лайкнутых
const getFovarites = () => {
    for(let i = 0; i < localStorage.length; i++){
        if(localStorage.key(i).includes("item")){
            let itemValue = localStorage.getItem(localStorage.key(i)) || 'false';

            if(convertToBool(itemValue)){
                let id = localStorage.key(i).replace("item", "");
                axios.get(route('getItem', id)).then((res) => {
                    items.value.push(res.data);
                });
            }
        }
    }
}

function convertToBool(val){
    return val == 'true' ? true : false ;
}
</script>
